import { jsx } from "react/jsx-runtime";
import { TokenMEME as TokenMEME$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMEME = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "MEME", "data-name": "TokenMEME", ...props, children: /* @__PURE__ */ jsx(TokenMEME$1, { variant }) });
  }
);
TokenMEME.displayName = "TokenMEME";
Object.assign(TokenMEME, { isGdsIcon: true });
export {
  TokenMEME
};
